Get the canonical system timezone ID or the normalized custom time zone ID for the given time zone ID

- « IntlTimeZone::fromDateTimeZone

- IntlTimeZone::getDisplayName »

- PHP Manual
- IntlTimeZone
- Get the canonical system timezone ID or the normalized custom time zone ID for the given time zone ID

# IntlTimeZone::getCanonicalID

# intltz_get_canonical_id

(PHP 5 >= 5.5.0, PHP 7, PHP 8, PECL >= 3.0.0a1)

IntlTimeZone::getCanonicalID -- intltz_get_canonical_id — Get the canonical system timezone ID or the normalized custom time zone ID for the given time zone ID

### Description

Object-oriented style (method):

public static IntlTimeZone::getCanonicalID(string `$timezoneId`, bool `&$isSystemId` = `null`): string|false

Procedural style:

intltz_get_canonical_id(string `$timezoneId`, bool `&$isSystemId` = `null`): string|false

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`timezoneId`

`isSystemId`

### Return Values